# Uses of Enum Class
org.eclipse.pde.core.plugin.VersionMatchRule

Packages that use VersionMatchRule
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of VersionMatchRule in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return VersionMatchRule
Modifier and Type
Method
Description
`static VersionMatchRule`
VersionMatchRule.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VersionMatchRule[]`
VersionMatchRule.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.pde.core.plugin with parameters of type VersionMatchRule
Modifier and Type
Method
Description
`static IPluginModelBase`
PluginRegistry.`findModel(String id, String version, VersionMatchRule matchRule)`
Returns a model matching the given id, version, match rule, or `null` if none.
`static Stream<IPluginModelBase>`
PluginRegistry.`findModels(String id, String version, VersionMatchRule matchRule)`
Returns all models matching the given id, version and match rule sorted by descending version.